'use strict';

var jsx = require('@babel/plugin-transform-react-jsx');
var pragmatic = require('@emotion/babel-plugin-jsx-pragmatic');
var emotion = require('@emotion/babel-plugin');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var jsx__default = /*#__PURE__*/_interopDefaultLegacy(jsx);
var pragmatic__default = /*#__PURE__*/_interopDefaultLegacy(pragmatic);
var emotion__default = /*#__PURE__*/_interopDefaultLegacy(emotion);

const pragmaName = "___xstyledEmotionJSX";
var index = (_, {
  pragma,
  sourceMap,
  autoLabel,
  labelFormat,
  instances = [],
  ...options
} = {}) => {
  return {
    plugins: [
      [
        pragmatic__default['default'],
        {
          export: "jsx",
          module: "@xstyled/emotion",
          import: pragmaName
        }
      ],
      [jsx__default['default'], { pragma: pragmaName, pragmaFrag: "React.Fragment", ...options }],
      [
        emotion__default['default'],
        {
          sourceMap,
          autoLabel,
          labelFormat,
          instances: ["@xstyled/emotion", ...instances],
          cssPropOptimization: true
        }
      ]
    ]
  };
};

module.exports = index;
//# sourceMappingURL=index.js.map
