import jsx from '@babel/plugin-transform-react-jsx';
import pragmatic from '@emotion/babel-plugin-jsx-pragmatic';
import emotion from '@emotion/babel-plugin';

const pragmaName = "___xstyledEmotionJSX";
var index = (_, {
  pragma,
  sourceMap,
  autoLabel,
  labelFormat,
  instances = [],
  ...options
} = {}) => {
  return {
    plugins: [
      [
        pragmatic,
        {
          export: "jsx",
          module: "@xstyled/emotion",
          import: pragmaName
        }
      ],
      [jsx, { pragma: pragmaName, pragmaFrag: "React.Fragment", ...options }],
      [
        emotion,
        {
          sourceMap,
          autoLabel,
          labelFormat,
          instances: ["@xstyled/emotion", ...instances],
          cssPropOptimization: true
        }
      ]
    ]
  };
};

export default index;
//# sourceMappingURL=index.mjs.map
